Skip to main content

News

News is a collection of notifications resulting from all configured subscriptions. News is used to form a feed of datasets specific to the authenticated user profile, in the context of a workspace.


Requests​

View the news for a workspace​

GET /api/workspaces/{workspace-id}/news?before={before}&since={since}

Returns the news for the workspace {workspace-id}.

Unlike View all notifications, this returns all notifications triggered by subscriptions configured for both the workspace and authenticated user profile.

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
beforeNoISO 8601 timestampThe instant at which the request was madeThe instant to return any notifications created before
sinceNoISO 8601 timestamp2021-02-11T11:12The instant to return any notifications created since
qNoTag filterThe tag(s) to search notifications by

Response​

200 OK

Notification collection with HAL links.


See Also​